Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/email-threads \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/email-threads` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/email-threads" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
[
{
"threadId": 3501 ,
"customerRef": "123",
"caseId": 1001 ,
"subject": "Question about my July payment",
"status": "ACTIVE",
"associationState": "EXACT_VERIFIED_CONTACT",
"associationEvidence": "VERIFIED_EMAIL_CONTACT",
"mailboxMode": "MONITORED",
"actionNeeded": true ,
"lastMessageAt": "2026-07-25T18: 40 :00Z",
"messageCount": 3 ,
"latestPreview": "Thanks, could you confirm the payment posted?",
"latestDirection": "INBOUND"
}
]{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}